Skip to content

Finish WebAuthn registration

POST
/api/v1/mfa/webauthn/verify
curl --request POST \
--url https://example.com/api/v1/mfa/webauthn/verify \
--header 'Content-Type: application/json' \
--data '{ "challenge": "example", "credential": {}, "name": "example" }'

Validates a WebAuthn attestation and stores the credential.

Request body

Media typeapplication/json
object
challenge
string
credential
object
name
string
Examplegenerated
{
"challenge": "example",
"credential": {},
"name": "example"
}

OK

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}